StoreIncomingData (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.bpm.jbpm.actions.StoreIncomingData class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.bpm.jbpm.actions
Class StoreIncomingData

    java.lang.Object
      org.mule.transport.bpm.jbpm.actions.LoggingActionHandler
          org.mule.transport.bpm.jbpm.actions.IntegrationActionHandler
              org.mule.transport.bpm.jbpm.actions.StoreIncomingData

All Implemented Interfaces:
  Serializable, org.jbpm.graph.def.ActionHandler

    public class StoreIncomingData

extends IntegrationActionHandler

Stores the incoming message payload into the specified variable. foo

See Also:
  Serialized Form

Field Summary
`protected String` | `variable`

Fields inherited from class org.mule.transport.bpm.jbpm.actions.LoggingActionHandler
`logger`

Constructor Summary
`StoreIncomingData()`

Method Summary
`void` | `execute(org.jbpm.graph.exe.ExecutionContext executionContext)`
`protected Object` | `transform(Object incomingData)` This method may be overriden in order to store the incoming data as a different type.

Methods inherited from class org.mule.transport.bpm.jbpm.actions.IntegrationActionHandler
`getIncomingMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### variable

    protected String variable

Constructor Detail

### StoreIncomingData

    public StoreIncomingData()

Method Detail

### execute

    public void execute(org.jbpm.graph.exe.ExecutionContext executionContext)
                 throws Exception

  Specified by:
    `execute` in interface `org.jbpm.graph.def.ActionHandler`
  Overrides:
    `execute` in class `IntegrationActionHandler`
  Throws:
    `Exception`

### transform

    protected Object transform(Object incomingData)
                        throws Exception

  This method may be overriden in order to store the incoming data as a different type.

  Parameters:
    `incomingData` - - the message that has arrived
  Returns:
    the object to be stored as a process variable
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.